## GladeWidgetAction

GladeWidgetAction — Context menu and toolbar actions.

## Functions

void | glade_widget_action_class_free ()
GWActionClass * | glade_widget_action_class_clone ()
void | glade_widget_action_set_sensitive ()

## Properties

gpointer | class | Write / Construct Only
gboolean | sensitive | Read / Write
gboolean | visible | Read / Write

## Types and Values

struct | GWActionClass
struct | GladeWidgetAction

## Object Hierarchy

        GObject
        ╰── GladeWidgetAction

## Description

Use GladeWidgetAction to create custom routines to operate on widgets you add to glade, when running GladeActionActivateFunc functions you should make sure to use GladeCommand.

## Functions

### glade_widget_action_class_free ()

    void
    glade_widget_action_class_free (GWActionClass *action);

### glade_widget_action_class_clone ()

    GWActionClass *
    glade_widget_action_class_clone (GWActionClass *action);

#### Parameters

action | a GWActionClass |

#### Returns

a newlly allocated copy of `action` .

### glade_widget_action_set_sensitive ()

    void
    glade_widget_action_set_sensitive (GladeWidgetAction *action,
                                       gboolean sensitive);

Set whether or not this action is sensitive.

#### Parameters

action | a GladeWidgetAction |

## Types and Values

### struct GWActionClass

    struct GWActionClass {
      const gchar    *id;     /* The identifier of this action in the action tree */
      gchar          *path;	  /* Full action path  */
      gchar          *label;  /* A translated label to show in the UI for this action */
      gchar          *stock;  /* If set, this stock item will be shown in the UI along side
    			   * the label */
      gboolean        important;  /* If this action is important */

      GList          *actions;/* Recursive list of child actions */
    };

### struct GladeWidgetAction

    struct GladeWidgetAction;

## Property Details

### The `“class”` property

      “class”                    gpointer

GladeWidgetActionClass structure pointer.

Flags: Write / Construct Only

### The `“sensitive”` property

      “sensitive”                gboolean

Whether this action is sensitive.

Flags: Read / Write

Default value: TRUE

### The `“visible”` property

      “visible”                  gboolean

Whether this action is visible.

Flags: Read / Write

Default value: TRUE